<?php

namespace FiloBlu\Flow\Api;

use Exception;
use Magento\Framework\Model\AbstractModel;

/**
 * Interface StockAdjustmentInterface
 * @package FiloBlu\Flow\Api
 */
interface StockAdjustmentInterface
{

    /**
     * @return int|mixed
     */
    public function getMetaId();

    /**
     * @param $metaId
     * @return mixed
     */
    public function setMetaId($metaId);

    /**
     * @return mixed
     */
    public function getSku();

    /**
     * @param $sku
     * @return mixed
     */
    public function setSku($sku);

    /**
     * @return mixed
     */
    public function getWarehouse();

    /**
     * @param $warehouse
     * @return mixed
     */
    public function setWarehouse($warehouse);

    /**
     * @return mixed
     */
    public function getAdjustment();

    /**
     * @param $adjustment
     * @return mixed
     */
    public function setAdjustment($adjustment);

    /**
     * @return mixed
     */
    public function getFinalQuantity();

    /**
     * @param $source
     * @return mixed
     */
    public function setSource($source);

    /**
     * @return mixed
     */
    public function getSource();

    /**
     * @param $detail
     * @return mixed
     */
    public function setDetail($detail);

    /**
     * @return mixed
     */
    public function getDetail();

    /**
     * @param $finalQuantity
     * @return mixed
     */
    public function setFinalQuantity($finalQuantity);

    /**
     * @return mixed
     */
    public function getMetaRefId();

    /**
     * @param $metaRefId
     * @return mixed
     */
    public function setMetaRefId($metaRefId);

    /**
     * @return mixed
     */
    public function getMetaProcessed();

    /**
     * @param $metaProcessed
     * @return mixed
     */
    public function setMetaProcessed($metaProcessed);

    /**
     * @return mixed
     */
    public function getMetaProcessedTime();

    /**
     * @param $metaProcessedTime
     * @return mixed
     */
    public function setMetaProcessedTime($metaProcessedTime);

    /**
     * @return mixed
     */
    public function getMetaInsertTime();

    /**
     * @param $time
     * @return mixed
     */
    public function setMetaInsertTime($time);

    /**
     * @return mixed
     */
    public function getMetaFile();

    /**
     * @param $file
     * @return mixed
     */
    public function setMetaFile($file);

}
